#
# spec file for package cosmic-ext-applet-tailscale
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.github.bhh32.GUIScaleApplet
Name:           cosmic-ext-applet-tailscale
Version:        2.0.0+1
Release:        1.2
Summary:        Tailscale applet for the COSMIC Desktop
License:        BSD-3-Clause
URL:            https://github.com/cosmic-utils/gui-scale-applet
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
Patch0:         fix-justfile.patch
BuildRequires:  cargo-packaging
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(xkbcommon)

%description
This is a COSMIC applet for Tailscale. It has SSH and Allow Routes
enable/disable and Tail Drop functionality.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install
%suse_update_desktop_file %{appname}

%files
%license LICENSE
%doc README.md
%{_bindir}/gui-scale-applet
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/scalable/status/%{appname}.png

%changelog
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 2.0.0+1:
  * Updated README.md and screenshots
  * Updated version number to 2.0.0
  * Update UI
  * Exit node feature complete
  * Refactored window.rs and logic.rs
  * Refactored logic.rs
  * Updated config logic and window
  * Updated Cargo.lock for bug
  * updated ui and adding allow lan
  * Config file is working
  * Added Cargo.lock
  * Updating config.rs
  * Working on config file
  * Started working on config for exit-node
  * Created host exit node functionality and set exit node functionality
* Sat Oct 12 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
